// Top-level build file where you can add configuration options common to all sub-projects/modules.
buildscript {
    repositories {
        google()
        mavenCentral()
        maven { url "https://jitpack.io" }
//        maven {
//            url 'http://maven.aliyun.com/nexus/content/groups/public/'
//        }
//        maven { url 'https://maven.aliyun.com/repository/gradle-plugin' }
//        maven { url 'https://maven.aliyun.com/repository/google' }
//        maven {url 'https://dl.bintray.com/jetbrains/anko'}
        jcenter()
    }
    dependencies {
        classpath "com.android.tools.build:gradle:4.2.1"

        // NOTE: Do not place your application dependencies here; they belong
        // in the individual module build.gradle files
    }
}

allprojects {
    repositories {
        google()
        mavenCentral()
        jcenter() // Warning: this repository is going to shut down soon
//        maven {
//            url 'http://maven.aliyun.com/nexus/content/groups/public/'
//        }
//        maven { url 'https://maven.aliyun.com/repository/gradle-plugin' }
//        maven { url 'https://maven.aliyun.com/repository/google' }
//        maven {url 'https://dl.bintray.com/jetbrains/anko'}
//        maven {url "https://maven.google.com"}
        maven { url 'https://www.jitpack.io' }
    }
}

task clean(type: Delete) {
    delete rootProject.buildDir
}